{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "nicothekid:cursed_rat",
      "textures": {
        "default": "textures/entity/nicos_more_dungeon/cursed_rat/nicothekid_cursed_rat"
      },
      "spawn_egg": {
        "base_color": "#4B4541",
        "overlay_color": "#DF6443"
      },
      "geometry": {
        "default": "geometry.entity.nicothekid_cursed_rat"
      },
      "materials": {
        "default": "cursed_rat",
        "invisible": "cursed_rat_invisible"
      },
      "render_controllers": [
        "controller.render.nicothekid_cursed_rat"
      ],
      "animations": {
        "attack": "animation.nicothekid_cursed_rat.attack",
        "look_at_target": "animation.nicothekid_cursed_rat.look_at_target",
        "walking": "animation.nicothekid_cursed_rat.walking",
        "controller_movement": "controller.animation.nicothekid_cursed_rat.movement"
      },
      "scripts": {
				"animate": [
					"controller_movement",
					{
						"look_at_target": 0.8
					}
				]
			}
    }
  }
}